Bug 1559200 - Review Request: R-processx - Execute and Control System Processes
Summary: Review Request: R-processx - Execute and Control System Processes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-22 00:14 UTC by Elliott Sales de Andrade
Modified: 2018-04-01 20:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-30 13:20:11 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2018-03-22 00:14:27 UTC
Spec URL: https://qulogic.fedorapeople.org//R-processx.spec
SRPM URL: https://qulogic.fedorapeople.org//R-processx-2.0.0.1-1.fc27.src.rpm

Description:
Portable tools to run system processes in the background. It can check if
a background process is running; wait on a background process to finish;
get the exit status of finished processes; kill background processes and
their children; restart processes. It can read the standard output and
error of the processes, using non-blocking connections. 'processx' can
poll a process for standard output or error, with a timeout. It can also
poll several processes at once.

Comment 1 Elliott Sales de Andrade 2018-03-22 00:15:37 UTC
koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=25866392

Comment 2 Robert-André Mauchin 🐧 2018-03-22 10:43:26 UTC
 - Latest version packaged
 - License ok
 - Builds in Mock
 - No rpmlint errors
 - Conforms to the Packaging Guidelines

Package approved.

Comment 3 Gwyn Ciesla 2018-03-23 12:07:37 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-processx

Comment 4 Fedora Update System 2018-03-23 23:46:45 UTC
R-processx-2.0.0.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0d31144074

Comment 5 Fedora Update System 2018-03-23 23:47:02 UTC
R-processx-2.0.0.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-76a5fc8f47

Comment 6 Fedora Update System 2018-03-23 23:47:19 UTC
R-processx-2.0.0.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e4b039096b

Comment 7 Fedora Update System 2018-03-24 02:28:17 UTC
R-processx-2.0.0.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-76a5fc8f47

Comment 8 Fedora Update System 2018-03-24 03:35:20 UTC
R-processx-2.0.0.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0d31144074

Comment 9 Fedora Update System 2018-03-24 20:07:49 UTC
R-processx-2.0.0.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e4b039096b

Comment 10 Fedora Update System 2018-03-30 13:20:11 UTC
R-processx-2.0.0.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-04-01 19:54:57 UTC
R-processx-2.0.0.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-04-01 20:13:52 UTC
R-processx-2.0.0.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.